#include "WinUtils.h"

#include <cstdlib>
#include <cstdarg>
#include <cassert>
#include <memory.h>
#include <cstdio>
#include <windows.h>
#include <BaseApp.h>

void LogMsg ( const char* traceStr, ... )
{
	va_list argsVA;
	const int logSize = 4096;
	char buffer[logSize];
	memset ( (void*)buffer, 0, logSize );

	va_start ( argsVA, traceStr );
	vsnprintf_s( buffer, logSize, logSize, traceStr, argsVA );
	va_end( argsVA );
	OutputDebugString(buffer);
	OutputDebugString("\n");
	GetBaseApp()->GetConsole()->AddLine(buffer);
}

string GetBaseAppPath()
{
	return "";
}
string GetSavePath()
{
	return "";
}


int GetYOffset()
{
	return 0;
	//return 13;
	//return 23; //otherwise, blitting to 0,0 is off.  Something screwy with how the eglinit is taking into account the windows border?
}

int GetSystemTimeTick()
{
	return GetTickCount();
}

unsigned int GetFreeMemory()
{
	return 0; //don't care on the PC
}